function Get-BlobEffectoryDomainResources {
    <#
    .SYNOPSIS
    Retrieves the stored domain resources list
    .DESCRIPTION
    Retrieves the newest domain resources list from the CSV in Azure storage.
    .PARAMETER connectionString
    Connection string of the storage account to retrieve from.
    #>
    param(
         [Parameter(Mandatory)]
         [string] $connectionString
    )

    [EffectoryDomainNameCheck[]] $loadedResources = @()
    $context = New-AzStorageContext -ConnectionString $connectionString

    $blob = Get-AzStorageBlob -Container "dangling-dns" -Context $context | Sort-Object -Property Name | Select-Object -Last 1
    if ($null -ne $blob) {
        Get-AzStorageBlobContent -Context $context -CloudBlob $blob.ICloudBlob -Destination "$Env:temp/$($blob.Name).history.csv" -Force >$null
        $loadedResources = Import-CSV "$Env:temp/$($blob.Name).history.csv" 
        Remove-Item -Path "$Env:temp/$($blob.Name).history.csv" 
        Write-Verbose "Retrieved resources from $($blob.Name)"
    }

    $loadedResources
}